#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Mail Transport Service
Name:           kmailtransport
Version: 16.12.3
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz

URL:            https://www.kde.org/


BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  cmake(KF5KDELibs4Support)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5Wallet)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5Akonadi)
BuildRequires:  cmake(KF5AkonadiMime) >= 5.3.0

BuildRequires:  boost-devel

BuildRequires:  pkgconfig(libsasl2)

BuildRequires:	libxml2-utils
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl

Recommends:     %{name}-handbook

Conflicts:      kdepimlibs4-core < 2:4.14.10-9

%description
Mail Transport Service.

%files
%_kf5_sysconfdir/xdg/kmailtransport.categories
%_kf5_sysconfdir/xdg/kmailtransport.renamecategories
%_qt5_plugindir/kcm_mailtransport.so
%_kf5_datadir/config.kcfg/mailtransport.kcfg
%_kf5_services/kcm_mailtransport.desktop

#--------------------------------------------------------------------

%package -n     kio5-smtp
Summary:        KDE smtp module
Group:          System/Libraries
Requires:       %{name} = %version
Requires:       akonadi-contacts

%description -n kio5-smtp
KDE smtp module.

%files -n kio5-smtp
%_kf5_plugindir/kio/smtp.so
%_kf5_services/smtp*.protocol

#------------------------------------------------------------------------------

%define kmailtransport_major 5
%define libkmailtransport %mklibname kf5mailtransport %{kmailtransport_major}

%package -n %libkmailtransport
Summary:      Mail Transport Service
Group:        System/Libraries

Obsoletes:    %{_lib}kf5mailtransport4 < 16.03.80

%description -n %libkmailtransport
Mail Transport Service.

%files -n %libkmailtransport
%_kf5_libdir/libKF5MailTransport.so.%{kmailtransport_major}*

#--------------------------------------------------------------------

%define kmailtransport_devel %mklibname kf5mailtransport -d

%package -n %kmailtransport_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkmailtransport = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kmailtransport_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kmailtransport_devel
%_kf5_includedir/MailTransport
%_kf5_includedir/mailtransport_version.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5MailTransport
%_qt5_prefix/mkspecs/modules/qt_KMailTransport.pri

#--------------------------------------------------------------------

%package        handbook
Summary:        Kmailtransport Handbook
Group:          Documentation
BuildArch:      noarch

# can be removed for mga7
Conflicts:      kdepimlibs-handbooks < 16.04.3-2

%description    handbook
This package provides Kmailtransport handbook.

%files handbook
%{_kf5_docdir}/HTML/*/kioslave5/smtp/

#--------------------------------------------------------------------

%prep
%setup -q 
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang --all %{name}5



%changelog
* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090089
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076829
- New version 16.12.0

* Fri Dec 09 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1073685
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067349
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061408
- New version 16.08.2

* Fri Sep 09 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050990
- New version 16.08.1

* Fri Aug 26 2016 daviddavid <daviddavid> 16.08.0-3.mga6
+ Revision: 1049144
- kio5-smtp requires akonadi-contacts

* Tue Aug 23 2016 daviddavid <daviddavid> 16.08.0-2.mga6
+ Revision: 1047978
- rebuild to regenerate rpms
- add subpackage kio5-smtp no more provided by kdepimlibs
- add subpackage kmailtransport-handbook and conflicts kdepimlibs-handbooks

  + neoclust <neoclust>
    - New version 16.08.0

* Thu Aug 18 2016 neoclust <neoclust> 16.04.3-2.mga6
+ Revision: 1046768
- Fix conflicts to ease upgrade from mga5

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040075
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012561
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004351
- New version 16.04.0

* Wed Mar 30 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 996462
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991197
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987466
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922635
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911948
- New version 15.12.0

* Sun Nov 29 2015 neoclust <neoclust> 15.11.80-3.mga6
+ Revision: 907068
- Rebuild on ARM

* Thu Nov 26 2015 neoclust <neoclust> 15.11.80-2.mga6
+ Revision: 906303
- Rebuild against new akonadi

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905406
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901142
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890623
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880435
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865953
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863698
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 861766
- New version 15.07.90

* Tue Jul 28 2015 neoclust <neoclust> 15.07.80-2.mga6
+ Revision: 858746
- Fix devel package name

* Tue Jul 28 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 858552
- imported package kmailtransport

